<script type="text/javascript" id="example">
$(document).ready(function(){

$('#groups')
	.css('backgroundColor','#fff')
	.css('width',500)
	.css('height',280);

$('#run').click(function(){	
	$.get('data.xml', function(data){
		$('#groups').empty();

		$(data).find('ug').each(function(){
			var $entry = $(this);
			var html = '<p>';
			html += '<b>' + $entry.find('name').text() + '</b>';	
			html += '<br/>Site: <a href="">'+$entry.find('url').text()+'</a>';
			html += '<br/>Email: <a href="mailto:'+$entry.find('email').text()+'">' + $entry.find('email').text() + '</a>';
			html += '</p>';	
			$('#groups').append($(html));		
		});
	});
});

});
</script>

<p>jQuery AJAX / XML Example
	<br/>We can make a .get() to obtain just about anything. In this example, we'll call up a XML document which jQuery will consume and display for us.
</p>

<div id="groups"></div>

<b>Example Code</b> - <a href="##" id="run">Run Code</a>
<div id="exampleCode" class="code"></div>

</body>
</html>


