
<script type="text/javascript" id="example">
$(document).ready(function(){
	$('#groups')
		.css('backgroundColor','#eee')
		.css('width',200)
		.css('height',220);

	$('#run').click(function(){	
		$.getJSON('/jQueryDemo/components/DataFeed.cfc?method=getproducts&returnFormat=json&queryFormat=column', function(data){
			$('#groups').empty();

			for(var i=0;i < data.ROWCOUNT; i++){			
				var html = '<p>';
				html += data.DATA.name[i];
				html += '<br/>Price:'+ data.DATA.price[i]
				html += '</p>';
				$('#groups').append(html);
			};		
		});
	});
});

</script>

<p>
	jQuery AJAX call with JSON from CFC
	<br/>Formatting Data into XML is fine and it works, but it can be very verbose. JSON is another format which we can use. Thankfully ColdFusion can talk JSON so we do that in this example.
</p>

<div id="groups"></div>

<p>
<b>Example Code</b> <a href="##" id="run">Run Code</a>
<div id="exampleCode" class="code"></div>
</p>